Page MenuHomePhabricator

[CMake] Add -fno-experimental-isel for testing
ClosedPublic

Authored by Hahnfeld on Feb 12 2018, 7:52 AM.

Details

Summary

GlobalISel doesn't yet implement blockaddress and falls back to
SelectionDAG. This results in additional branch instruction to
the next basic block which breaks the OMPT tests.
Disable GlobalISel for now when compiling the tests because fixing
them is not easily possible. See http://llvm.org/PR36313 for full
discussion history.

Diff Detail

Event Timeline

Hahnfeld created this revision.Feb 12 2018, 7:52 AM
rovka added a comment.Feb 13 2018, 6:34 AM

I'm not familiar enough with the CMake infrastructure to know if this does the trick for the openmp tests, but as I said on the bug report, I'm ok with this general direction.

I'm not familiar enough with the CMake infrastructure to know if this does the trick for the openmp tests, but as I said on the bug report, I'm ok with this general direction.

As I wrote most of this last year, I think that's what we need to do. Does it fix the tests for you?

rovka accepted this revision.Feb 14 2018, 9:07 PM

Seems to pass now.

This revision is now accepted and ready to land.Feb 14 2018, 9:07 PM
This revision was automatically updated to reflect the committed changes.